-- name: [PET] Wacky Pipes
-- description: Member of the Tiki Tak Tribe

if not _G.wpets then return end

local E_MODEL_WPET = smlua_model_util_get_id('wackypipes_geo')

local ID_WPET = _G.wpets.add_pet({
	name = "Wacky Pipes", credit = "Aso-Designer",
	description = "Member of the Tiki Tak Tribe.",
	modelID = E_MODEL_WPET,
	scale = 1.0, yOffset = 0, flying = true
})

_G.wpets.set_pet_anims_2leg(ID_WPET)

_G.wpets.set_pet_sounds(ID_WPET, {
	spawn = 'tikisummon.ogg',
	happy = 'tikisummon.ogg',
	vanish = nil,
	step = SOUND_OBJ_BOBOMB_WALK
})